<template id="countdown-template">
  <div class="countdown">
    <div class="block">
      <p class="digit">{{ days | two_digits }}</p>
      <p class="text">Days</p>
    </div>
    <div class="block">
      <p class="digit">{{ hours | two_digits }}</p>
      <p class="text">Hrs</p>
    </div>
    <div class="block">
      <p class="digit">{{ minutes | two_digits }}</p>
      <p class="text">Mins</p>
    </div>
    <div class="block">
      <p class="digit">{{ seconds | two_digits }}</p>
      <p class="text">Secs</p>
    </div>
  </div>
</template>

<script>
export default {
    mounted() {
            window.setInterval(() => {
                this.now = Math.trunc((new Date()).getTime() / 1000);
            },1000);
        },
        props: {
            date: {
                type: String
            }
        },
        data() {
            return {
            now: Math.trunc((new Date()).getTime() / 1000)
            }
        },
        computed: {
            dateInMilliseconds() {
            return Math.trunc(Date.parse(this.date) / 1000)
            },
            seconds() {
            return (this.dateInMilliseconds - this.now) % 60;
            },
            minutes() {
            return Math.trunc((this.dateInMilliseconds - this.now) / 60) % 60;
            },
            hours() {
            return Math.trunc((this.dateInMilliseconds - this.now) / 60 / 60) % 24;
            },
            days() {
            return Math.trunc((this.dateInMilliseconds - this.now) / 60 / 60 / 24);
            }
        }
}
</script>


<style scoped>
.countdown {
  display: flex;
}

.block {
    display: flex;
    flex-direction: column;
    margin: 10px;
}

.text {
    color: blue;
    font-size: 15px;
    font-family: 'Roboto Condensed', serif;
    font-weight: 40;
    /*margin-top:10px;*/
    margin-bottom: 10px;
    text-align: center;
}

.digit {
    color: black;
    font-size: 15px;
    font-weight: 100;
    font-family: 'Roboto', serif;
    margin: 10px;
    text-align: center;
}
</style>